## 2023.10

版本发布说明： 2023.10

* 基于QEMU 8.0进行开发
* 新增zc与xlcz扩展支持
* 新增部分芯来xldsp指令
* 调整qemu的machine类型，移除掉nuclei_n,nuclei_u,新增nuclei_demosoc和nuclei_evalsoc
* 完善qemu对芯来cpu中断架构的支持

## 2022.12

版本发布说明： 2022.12

* bugfix:修复dkmaxda32指令计算错误
* 新增dsp指令:新增部分芯来custom dsp 指令

## 2022.08

版本发布说明： 2022.08

1\.增加-smp选项，最多支持16 core

2\.合并timer与clint逻辑，符合芯来CPU对timer和中断的设定

3\.增加icount计数停止，访问mucounteren的csr可以控制cycle计数或者不计数

4\.将github上的submodule信息换成开源仓库，这样别人可以直接下载编译代码

5\.更改3条nice编码，nuclei_sdk上的demo_nice的demo可正常运行

## 2022.04

**发布说明：**

修正的nuclei-custom dsp指令的计算问题。

修正32位模式下的mtimer计数问题

**已知问题：**

目前CPU计数时钟采用的是qemu的内部时钟，并不是一个周期执行一条指令，这样会导致指令计数小于system timer。这样会导致的问题是在测试benchmark时出现异常，qemu中让其一个时钟周期执行一条指令。该问题依然存在。

## v1.0.5

发布说明：

时间：2021年9月29日

发布特性：

修改发布版本，将pv扩展通过参数传递，版本改为nuclei-v1.0.5

已知问题：

* 由于目前CPU计数时钟采用的是qemu的内部时钟，并不是一个周期执行一条指令，这样会导致指令计数小于system timer。这样会导致的问题是在测试benchmark时出现异常，qemu中让其一个时钟周期执行一条指令，并且能够准确的快速的执行程序，还需要测试稳定后才能修正。

发布地址：

[nuclei-v1.0.5](http://gito.corp.nucleisys.com/software/riscv-gnu-toolchain/qemu/-/releases/nuclei-v1.0.5)

## v1.0.4

发布说明：

时间：2021年8月19日

发布特性：

增加之前没有定义的nuclei core,完善支持列表。
详细支持列表查看下面链接：
```
https://wiki.corp.nucleisys.com/pages/viewpage.action?pageId=11568844
```

已知问题：

* 由于目前CPU计数时钟采用的是qemu的内部时钟，并不是一个周期执行一条指令，这样会导致指令计数小于system timer。这样会导致的问题是在测试benchmark时出现异常，qemu中让其一个时钟周期执行一条指令，并且能够准确的快速的执行程序，还需要测试稳定后才能修正。

* 当前qemu已经集成了rvv1.0扩展,默认情况下，下面的arch都集成了RVV

  rv64imafcu

  rv64imafcup

  rv64imafdcu

  rv64imafdcup

发布地址：

[nuclei-v1.0.4](http://gito.corp.nucleisys.com/software/riscv-gnu-toolchain/qemu/-/releases/nuclei-v1.0.4)

## v1.0.3

发布说明：

时间：2021年8月12日

发布特性：

1\.修正qemu在Ubuntu上运行缺少库的问题，目前测试在Ubuntu16.04,Ubuntu18.04,ubuntu20.04上均正常

2\.修正nuclei-n与nuclei-u频率不对的问题

3\.调整window上编译生成的目录结构，以便于适合eclipse的集成

4\.在CI发布时增加文档发布

已知问题：

* 由于目前CPU计数时钟采用的是qemu的内部时钟，并不是一个周期执行一条指令，这样会导致指令计数小于system timer。这样会导致的问题是在测试benchmark时出现异常，qemu中让其一个时钟周期执行一条指令，并且能够准确的快速的执行程序，还需要测试稳定后才能修正。

发布地址：

[nuclei-v1.0.3](http://gito.corp.nucleisys.com/software/riscv-gnu-toolchain/qemu/-/releases/nuclei-v1.0.3)

固件下载地址：

[deploy-qemu_nuclei_master](http://gito.corp.nucleisys.com/software/riscv-gnu-toolchain/qemu/-/jobs/75532/artifacts/download)

## v1.0.2

发布说明：

时间：2021年8月1日

发布特性：

1\.添加nuclei gd32vf103 下载模式的问题（默认可以无效）

2\.添加qemu的版本

3\.启动gdb时打印出信息，便于eclipse识别，加快显示

4\.修正gitlab ci,让 cmsis-5 可以正常的编译

下载地址：

[nuclei-v1.0.2](http://gito.corp.nucleisys.com/software/riscv-gnu-toolchain/qemu/-/jobs/69981/artifacts/download)


## v1.0.1

发布说明：

时间：2021年7月22日

发布特性：

1\.将`gd32vf103_eval`改为`gd32vf103v_eval`, `gd32vf103_rvstar`改为`gd32vf103v_rvstar`

2\.解决windows上编译不能正常运行的问题，原因是编译最新qemu,glib高于glib2-2.54，导致gdb不能正常运行

3\.增加gd32vf103下载模式

4\.将qemu的submodule指向本地仓库

下载地址：

[nuclei-v1.0.1](http://gito.corp.nucleisys.com/software/riscv-gnu-toolchain/qemu/-/releases)


## v1.0.0

发布说明：

时间：2021年7月14日

发布特性：

* 在PLCT提供的qemu基础版本上添加nuclei的machine和core支持

* qemu添加不同的下载模式可执行代码，下载模式有`ddr`,`flash`,`flashxip`,`ilm`

* 添加p扩展(v0.9.2)，以及芯来自定义p扩展指令和nice指令

* 添加v扩展(v1.0)

下载地址：

[nuclei-v1.0.0](http://gito.corp.nucleisys.com/software/riscv-gnu-toolchain/qemu/-/releases)



